summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUlrich Müller <ulm@gentoo.org>2020-09-09 17:34:36 +0200
committerUlrich Müller <ulm@gentoo.org>2020-09-12 18:03:02 +0200
commit3b5f1523920b5ce7d9a8b20264c9c9279ad0c0d3 (patch)
treee4b4066201a3994aed7a45ff2b239fd36a749077 /eclass/mate.eclass
parenteutils.eclass: Deprecate emktemp(). (diff)
downloadgentoo-3b5f1523920b5ce7d9a8b20264c9c9279ad0c0d3.tar.gz
gentoo-3b5f1523920b5ce7d9a8b20264c9c9279ad0c0d3.tar.bz2
gentoo-3b5f1523920b5ce7d9a8b20264c9c9279ad0c0d3.zip
eutils.eclass: Deprecate use_if_iuse().
The function is not called from any ebuilds in the gentoo repository. Inline it as "in_iuse foo && use foo" in other eclasses, or define it as a local function when it is called multiple times. Signed-off-by: Ulrich Müller <ulm@gentoo.org>
Diffstat (limited to 'eclass/mate.eclass')
-rw-r--r--eclass/mate.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/mate.eclass b/eclass/mate.eclass
index d7dd2dbceec0..34d5e47acc22 100644
--- a/eclass/mate.eclass
+++ b/eclass/mate.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: mate.eclass
@@ -120,7 +120,7 @@ mate_src_configure() {
local mateconf=()
# Pass --disable-static whenever possible
- if ! use_if_iuse static-libs; then
+ if ! in_iuse static-libs || ! use static-libs; then
if grep -q "enable-static" "${ECONF_SOURCE:-.}"/configure; then
mateconf+=( --disable-static )
fi